@import url('cluster_informations.css');
@import url('kartographie.css');
@import url('player_inspector.css');
@import url('server_showcase.css');
@import url('startsite.css');
@import url('supportshop.css');
@import url('tokenshop_main.css');
@import url('tokenshop_classes.css');
@import url('tokenshop_subclasses.css');

/* Allgemeine Website Variablen */
:root {
    --primary: #1c1c1c;
    --primary-dark: #151515;
    --primary-light: #2c2c2c;
    --accent: #c29257;
    --accent-secondary: #314023;
    --accent-bright: #dff0bd;
    --dark: #1c1c1c;
    --light: #f5f5f5;
    --glass: rgba(255, 255, 255, 0.1);
    --glass-dark: rgba(0, 0, 0, 0.2);
}

/* Generelle Füller-Bar unter Main-Banner - Look + Effects + Position Overrides */
body.v3 .nav-filler {
    display: block;
    height: 0px !important;
}

/* Generelle Änderungen Header und Bars - Look + Effects + Position Overrides */
body.v3.pagebuilder .big_banner_row .big_banner {
   min-height: auto;
   margin-bottom: 1.6rem;
}
body.v3 .main-nav.passed-banner:before {
    position: absolute;
    width: 100%;
    height: 100%;
    background: black;
    opacity: .9;
}
body.v3 .mainnav {
    bakgound-color:rgba(0,0,0,.4);
}
body.v3 .main-nav {
    border: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    padding: 0;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(0px);
    -webkit-backdrop-filter: blur(10px);
    transition: all 0.3s ease;
    margin-bottom: 0;
}
body.v3 .main-nav .navbar-collapse {
    margin-top:0px;
}
body.v3 .main-nav .navbar-nav>li>a {
    color: white;
    font-weight: 600;
    padding: 30px 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 18px;
    position: relative;
    transition: all 0.3s ease;
}
body.v3 .nav.navbar-nav > li > a:hover,
body.v3 .nav.navbar-nav > li > a:focus {
    color: red;
    background: rgba(0, 0, 0, 0.2);
}

/* Seiten Scrollbar - Look + Effects + Position Overrides */
*::-webkit-scrollbar {
  width: 10px;
}
*::-webkit-scrollbar-track {
  background: none; 
}
*::-webkit-scrollbar-thumb {
  background: darkred; 
}
*::-webkit-scrollbar-thumb:hover {
  background: red; 
}
/* Dropdown Menus Allgemein - Look + Effects + Position Overrides */
.has_child {
    position: relative;
}
.has_child:hover .submenu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}
.dropdown .dropdown-menu {
    visibility: visible;
    opacity: 0;
    transform: translateY(10px);
    transition: all 0.3s ease;
}
.dropdown.open .dropdown-menu{
    background: rgba(71, 69, 69, 0.8) !important;
    border: 1px solid rgb(255, 183, 0) !important;
    border-radius: 8px !important;
    color: rgba(255, 255, 255) !important;
    padding: 10px 0 !important;
    box-shadow: 0 10px 25px rgba(255, 119, 0, 0.8) !important;
    visibility: visible;
    opacity: 1;
    transform: translateY(10px);
    transition: all 0.3s ease;
    display: block !important;
}
.dropdown-menu li a {
    color: rgb(255, 255, 255) !important;
    padding: 5px 20px !important;
    transition: all 0.3s ease !important;
    font-size: 1.1rem;
}
.dropdown-menu li a:hover {
    background: rgba(0, 0, 0, 0.9) !important;
    color: rgba(158, 60, 45, 1) !important;
    padding-left: 25px !important;
}
.submenu.dropdown-menu {
    background: rgba(51, 35, 35, 0.9) !important;
    border: 1px solid rgba(0, 0, 0, 0) !important;
    color: rgb(255, 0, 0) !important;
    border-radius: 8px !important;
    padding: 10px 0 !important;
    visibility: visible;
    line-height: 50%;
    }

/* Shop Pfad Bar Breadcrumb - Look + Effects + Position Overrides */
body.v3 .breadcrumb {
    margin-top: 110px;
}

/* Community Name - Look + Effects + Position Overrides */
body.v3 .main-nav .navbar-brand {
    color: white;
    padding-top: 26px
}
body.v3 .main-nav .navbar-brand h1:hover {
    color: orange;
}
 body.v3 .main-nav .navbar-brand > li > a:hover::after {
    color: orange;
}

/* Login Button - Look + Effects + Position Overrides */
body.v3 .main-nav .navbar-nav>li>.dropdown>span.dashboard,
body.v3 .main-nav .navbar-nav>li>a.login {
    background: rgba(0, 0, 0, 0);
    color: white;
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 30px;
    padding: 8px 15px;
    display: flex;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
    transition: all 0.3s ease;
}
body.v3 .main-nav .navbar-nav>li>.dropdown>span.dashboard:hover,
body.v3 .main-nav .navbar-nav>li>a.login:hover {
    background: rgba(0,0,0,0);
    border-color: gold;
    color: gold;
}
